# List payments Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Retrieves the information about all payments from all your customer accounts. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. The unappliedAmount or any other query parameter does not support the less than() operators. If the value of a filterable field is string, you can set the corresponding query parameter to null when filtering. Then, you can get the response data with this field value being null. Examples: - /v1/payments?status=Processed - /v1/payments?currency=USD&status=Processed - /v1/payments?status=Processed&type=External&sort=+number Endpoint: GET /v1/payments Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `accountId` (string) This parameter filters the response based on the accountId field. - `amount` (number) This parameter filters the response based on the amount field. - `appliedAmount` (number) This parameter filters the response based on the appliedAmount field. - `createdById` (string) This parameter filters the response based on the createdById field. - `createdDate` (string) This parameter filters the response based on the createdDate field. - `creditBalanceAmount` (number) This parameter filters the response based on the creditBalanceAmount field. - `currency` (string) This parameter filters the response based on the currency field. - `effectiveDate` (string) This parameter filters the response based on the effectiveDate field. - `number` (string) This parameter filters the response based on the number field. - `refundAmount` (number) This parameter filters the response based on the refundAmount field. - `status` (string) This parameter filters the response based on the status field. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted" - `type` (string) This parameter filters the response based on the type field. Enum: "External", "Electronic" - `unappliedAmount` (number) This parameter filters the response based on the unappliedAmount field. - `updatedById` (string) This parameter filters the response based on the updatedById field. - `updatedDate` (string) This parameter filters the response based on the updatedDate field. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: operator field_name, operator field_name operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by payment effective date. - The - operator indicates an ascending order. - The + operator indicates a descending order. By default, the response data is displayed in descending order by payment number. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - number - accountId - amount - appliedAmount - unappliedAmount - refundAmount - creditBalanceAmount - effectiveDate - createdDate - createdById - updatedDate - updatedById Examples: - /v1/payments?sort=+number - /v1/payments?status=Processed&sort=-number,+amount ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `payments` (array) Container for payments. - `payments.accountId` (string) The ID of the customer account that the payment is for. - `payments.accountNumber` (string) The number of the customer account that the payment is for. - `payments.amount` (number) The total amount of the payment. - `payments.appliedAmount` (number) The applied amount of the payment. - `payments.authTransactionId` (string,null) The authorization transaction ID from the payment gateway. - `payments.bankIdentificationNumber` (string,null) The first six or eight digits of the credit card or debit card used for the payment, when applicable. - `payments.cancelledOn` (string,null) The date and time when the payment was cancelled, in yyyy-mm-dd hh:mm:ss format. - `payments.comment` (string) Comments about the payment. - `payments.createdById` (string) The ID of the Zuora user who created the payment part. - `payments.createdDate` (string) The date and time when the payment was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `payments.creditBalanceAmount` (number) The amount that the payment transfers to the credit balance. The value is not 0 only for those payments that come from legacy payment operations performed without the Invoice Settlement feature. - `payments.currency` (string) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. - `payments.effectiveDate` (string) The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format. - `payments.financeInformation` (object) Container for the finance information related to the payment. - `payments.financeInformation.bankAccountAccountingCode` (string,null) The accounting code that maps to a bank account in your accounting system. - `payments.financeInformation.bankAccountAccountingCodeType` (string,null) The type of the accounting code that maps to a bank account in your accounting system. - `payments.financeInformation.transferredToAccounting` (string,null) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `payments.financeInformation.unappliedPaymentAccountingCode` (string,null) The accounting code for the unapplied payment. - `payments.financeInformation.unappliedPaymentAccountingCodeType` (string,null) The type of the accounting code for the unapplied payment. - `payments.gatewayId` (string,null) The ID of the gateway instance that processes the payment. - `payments.gatewayOrderId` (string,null) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. - `payments.gatewayReconciliationReason` (string,null) The reason of gateway reconciliation. - `payments.gatewayReconciliationStatus` (string,null) The status of gateway reconciliation. - `payments.gatewayResponse` (string,null) The message returned from the payment gateway for the payment. This message is gateway-dependent. - `payments.gatewayResponseCode` (string,null) The code returned from the payment gateway for the payment. This code is gateway-dependent. - `payments.gatewayState` (string) The status of the payment in the gateway; use for reconciliation. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `payments.id` (string) The unique ID of the payment. For example, 4028905f5a87c0ff015a87eb6b75007f. - `payments.markedForSubmissionOn` (string,null) The date and time when a payment was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `payments.number` (string) The unique identification number of the payment. For example, P-00000001. - `payments.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `payments.paymentGatewayNumber` (string) The natural key for the payment gateway. - `payments.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. - `payments.paymentMethodSnapshotId` (string,null) The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction. - `payments.paymentOption` (array) Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. paymentOption of the payment schedule takes precedence over paymentOption of the payment schedule item. - `payments.paymentOption.detail` (object) The field used to pass the transactional payment data to the gateway side in the key-value format. - `payments.paymentOption.detail.key` (string) The name of the field. - `payments.paymentOption.detail.value` (string) The value of the field. - `payments.paymentOption.type` (string) The type of the payment option. Currently, only GatewayOptions is supported for specifying Gateway Options fields supported by a payment gateway. - `payments.paymentScheduleKey` (string) The unique ID or the number of the payment schedule that is linked to the payment. See [Link payments to payment schedules](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Payment_Schedules/Link_payments_with_payment_schedules) for more information. - `payments.payoutId` (string,null) The payout ID of the payment from the gateway side. - `payments.prepayment` (boolean) Indicates whether the payment is used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `payments.referenceId` (string,null) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `payments.refundAmount` (number) The amount of the payment that is refunded. - `payments.secondPaymentReferenceId` (string,null) The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments. - `payments.settledOn` (string,null) The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `payments.softDescriptor` (string,null) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payments.softDescriptorPhone` (string,null) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payments.standalone` (boolean) This field is only available if the support for standalone payment is enabled. The value true indicates this is a standalone payment that is created and processed in Zuora through Zuora gateway integration but will be settled outside of Zuora. No settlement data will be created. The standalone payment cannot be applied, unapplied, or transferred. The value false indicates this is an ordinary payment that is created, processed, and settled in Zuora. - `payments.status` (string) The status of the payment. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted" - `payments.submittedOn` (string,null) The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format. - `payments.type` (string) The type of the payment. Enum: "External", "Electronic" - `payments.unappliedAmount` (number) The unapplied amount of the payment. - `payments.updatedById` (string) The ID of the Zuora user who last updated the payment. - `payments.updatedDate` (string) The date and time when the payment was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. - `payments.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.IntegrationStatus__NS` (string) Status of the payment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.SyncDate__NS` (string) Date when the payment was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `payments.Transaction__NS` (string) Related transaction in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.